# Interface GenericMouseInterface

All Known Implementing Classes:
  `GenericMouse, Mouse`

public interface GenericMouseInterface

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`void`
`dispose()`
`boolean`
`processEvent(int id, int x, int y, int modifiers, long time)`
`void`
`processKeyEvent(Object event)`
`void`
`processTwoPointGesture(float[][][] touches)`

## Method Details

### processEvent

boolean processEvent(int id, int x, int y, int modifiers, long time)

### clear

void clear()

### dispose

void dispose()

### processTwoPointGesture

void processTwoPointGesture(float[][][] touches)

### processKeyEvent

void processKeyEvent(Object event)